Skip to main content

Update Service Request: Entrata

PUThttps://api.propexo.com/v1/service-requests/entrata/:service_request_id
Method
maintenance/updateWorkOrders

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters​

service_request_id stringrequired

The Propexo unique identifier for the service request

Request​

This endpoint expects an object.

    service_request_category_idstring

    The Propexo unique identifier for the service request category

    service_request_priority_idstring

    The Propexo unique identifier for the service request priority

    service_request_location_idstring

    The Propexo unique identifier for the service request location

    service_request_problem_idstring

    The Propexo unique identifier for the service request problem

    service_descriptionstring

    A description of the service request

    phone_1string

    Primary phone number associated with the service request

    phone_2string

    Secondary phone number associated with the service request

    email_1string

    The primary email address associated with the service request

    scheduled_start_datestring<date-time>

    The scheduled start date associated with the request.

    due_datestring<date-time>

    The due date associated with the service request

Response​

Successful response

    meta objectrequired
    job_idstringrequired
    result objectrequired
    service_request_idstringrequired

    The Propexo unique identifier for the service request

    service_request_category_idstring

    The Propexo unique identifier for the service request category

    service_request_priority_idstring

    The Propexo unique identifier for the service request priority

    service_request_location_idstring

    The Propexo unique identifier for the service request location

    service_request_problem_idstring

    The Propexo unique identifier for the service request problem

    service_descriptionstring

    A description of the service request

    phone_1string

    Primary phone number associated with the service request

    phone_2string

    Secondary phone number associated with the service request

    email_1string

    The primary email address associated with the service request

    scheduled_start_datestring<date-time>

    The scheduled start date associated with the request.

    due_datestring<date-time>

    The due date associated with the service request

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
PUT /v1/service-requests/entrata/:service_request_id
curl -X PUT https://api.propexo.com/v1/service-requests/entrata/:service_request_id \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"service_request_category_id": "string",
"service_request_priority_id": "string",
"service_request_location_id": "string",
"service_request_problem_id": "string",
"service_description": "string",
"phone_1": "string",
"phone_2": "string",
"email_1": "string",
"scheduled_start_date": "2024-07-29T15:51:28.071Z",
"due_date": "2024-07-29T15:51:28.071Z"
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"service_request_id": "string",
"service_request_category_id": "string",
"service_request_priority_id": "string",
"service_request_location_id": "string",
"service_request_problem_id": "string",
"service_description": "string",
"phone_1": "string",
"phone_2": "string",
"email_1": "string",
"scheduled_start_date": "2024-07-29T15:51:28.071Z",
"due_date": "2024-07-29T15:51:28.071Z"
}
}